org.apache.ignite.internal.processors.cache.tree.mvcc.search

## Class MvccLinkAwareSearchRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.tree.SearchRow
  - - org.apache.ignite.internal.processors.cache.tree.mvcc.search.MvccSearchRow
    - - org.apache.ignite.internal.processors.cache.tree.mvcc.search.MvccLinkAwareSearchRow

All Implemented Interfaces:
  MvccVersionAware, CacheSearchRow

    public class MvccLinkAwareSearchRow
    extends MvccSearchRow

MVCC search row which contains a link. Now used only for cleanup purposes.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.tree.mvcc.search.MvccSearchRow

`crdVer, opCntr`

### Constructor Summary

Constructors
Constructor and Description
`MvccLinkAwareSearchRow(int cacheId, KeyCacheObject key, long crdVer, long mvccCntr, int mvccOpCntr, long link)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `link()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.tree.mvcc.search.MvccSearchRow

`mvccCoordinatorVersion, mvccCounter, mvccOperationCounter, toString`

### Methods inherited from class org.apache.ignite.internal.processors.cache.tree.SearchRow

`cacheId, hash, key, mvccTxState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Constructor Detail

#### MvccLinkAwareSearchRow

    public MvccLinkAwareSearchRow(int cacheId,
                                  KeyCacheObject key,
                                  long crdVer,
                                  long mvccCntr,
                                  int mvccOpCntr,
                                  long link)

Parameters:
  `cacheId` - Cache ID.
  `key` - Key.
  `crdVer` - Mvcc coordinator version.
  `mvccCntr` - Mvcc counter.
  `link` - Link.

### Method Detail

#### link

    public long link()

Specified by:
  `link` in interface `CacheSearchRow`
Overrides:
  `link` in class `SearchRow`
Returns:
  Link for this row.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020